Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	The ALSA OSS package contains the ALSA OSS compatibility library.
Name:      	alsa-oss
Version:   	1.0.15
Release:   	1
License: 	GNU/GPL
URL:		http://www.alsa-project.org
Group:     	System/Configuration/Hardware
Source0: 	alsa-oss-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot

%description
The ALSA OSS package contains the ALSA OSS compatibility library.

%package devel
Summary: 	alsa-oss development headers.
Group:     	System/Configuration/Hardware
Requires: 	alsa-oss = %{version}

%description devel
Header and include files for developing applications with alsa-oss.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n alsa-oss-%{version}

%build
./configure --disable-debug --mandir=%_mandir
make

%install
make install-strip DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_bindir/aoss
%_libdir/*.so.*
%_libdir/*.so
#aoss links directly against libaoss.so, so it needs to be in main package
%_mandir/*

%files devel
%defattr(-,root,root)
%_includedir/*
%_libdir/*.a
%_libdir/*.la


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Oct 16 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.15-1
- version update
* Tue Jun 05 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.14-1
- version update
* Wed Aug 30 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.0.12-1
- Version update
* Sat May 6 2006 Simon Schmeisser <mail_to_wrt@gmx.de> 1.0.11-2
- moved .so files to main package
* Sat Apr 22 2006 Christian Metzen <metzench@ccux-linux.de> 1.0.11-1
- Version update
* Sun Dec 11 2005 Christian Metzen <metzench@ccux-linux.de> 1.0.10-2
- Redefined files list
* Fri Dec 09 2005 Karsten Brockmann <arcam@ccux-linux.de> 1.0.10-1
- Version Update to 1.0.10
* Sun May 29 2005 Christian Metzen <metzench@ccux-linux.de> 1.0.9-1
- Version update to 1.0.9
* Thu Jan 12 2005 Christian Metzen <metzench@ccux-linux.de> 1.0.8-1
- Version Update to 1.0.8
* Sat Nov 20 2004 Christian Metzen <metzench@ccux-linux.de> 1.0.7-1
- Initial Release
